package com.lightinit.hsdataplatform.mapper;

import com.lightinit.hsdataplatform.entity.ResourceMicroapp;
import com.lightinit.hsdataplatform.entity.ResourceMicroappExample;
import com.lightinit.hsdataplatform.entity.ResourceMicroappWithBLOBs;
import java.util.List;

import com.lightinit.hsdataplatform.model.admin.ResourceMicroappPublishDataModel;
import com.lightinit.hsdataplatform.model.admin.ResourceMicroappRegisterListModel;
import com.lightinit.hsdataplatform.model.admin.ResourceMicroappRegisterSearchModel;
import org.apache.ibatis.annotations.Param;

public interface ResourceMicroappMapper {
    long countByExample(ResourceMicroappExample example);

    int deleteByExample(ResourceMicroappExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ResourceMicroappWithBLOBs record);

    int insertSelective(ResourceMicroappWithBLOBs record);

    List<ResourceMicroappWithBLOBs> selectByExampleWithBLOBs(ResourceMicroappExample example);

    List<ResourceMicroapp> selectByExample(ResourceMicroappExample example);

    ResourceMicroappWithBLOBs selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ResourceMicroappWithBLOBs record, @Param("example") ResourceMicroappExample example);

    int updateByExampleWithBLOBs(@Param("record") ResourceMicroappWithBLOBs record, @Param("example") ResourceMicroappExample example);

    int updateByExample(@Param("record") ResourceMicroapp record, @Param("example") ResourceMicroappExample example);

    int updateByPrimaryKeySelective(ResourceMicroappWithBLOBs record);

    int updateByPrimaryKeyWithBLOBs(ResourceMicroappWithBLOBs record);

    int updateByPrimaryKey(ResourceMicroapp record);

    List<ResourceMicroappRegisterListModel> selectModelList(ResourceMicroappRegisterSearchModel inputModel);

    long selectModelListCount(ResourceMicroappRegisterSearchModel inputModel);
    ResourceMicroappRegisterListModel selectDic(@Param("id") Long id);
    List<ResourceMicroappRegisterListModel> querypublishList(ResourceMicroappRegisterSearchModel inputModel);

    long querypublishCount(ResourceMicroappRegisterSearchModel inputModel);

    ResourceMicroappPublishDataModel selectMicroappAduitModel(@Param("id") Long id);
}